test: _LOADER_PARAMETER_BLOCK struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _LOADER_PARAMETER_BLOCK Struct Reference

`#include <arc.h>`

List of all members.

## Public Attributes

LIST_ENTRY | LoadOrderListHead
LIST_ENTRY | MemoryDescriptorListHead
LIST_ENTRY | BootDriverListHead
ULONG_PTR | KernelStack
ULONG_PTR | Prcb
ULONG_PTR | Process
ULONG_PTR | Thread
ULONG | RegistryLength
PVOID | RegistryBase
PCONFIGURATION_COMPONENT_DATA | ConfigurationRoot
PCHAR | ArcBootDeviceName
PCHAR | ArcHalDeviceName
PCHAR | NtBootPathName
PCHAR | NtHalPathName
PCHAR | LoadOptions
PNLS_DATA_BLOCK | NlsData
PARC_DISK_INFORMATION | ArcDiskInformation
PVOID | OemFontFile
_SETUP_LOADER_BLOCK * | SetupLoaderBlock
PLOADER_PARAMETER_EXTENSION | Extension
union {
I386_LOADER_BLOCK I386
ALPHA_LOADER_BLOCK Alpha
IA64_LOADER_BLOCK Ia64
} | u

## Member Data Documentation

ALPHA_LOADER_BLOCK _LOADER_PARAMETER_BLOCK::Alpha

| Definition at line 1867 of file arc.h.

PCHAR _LOADER_PARAMETER_BLOCK::ArcBootDeviceName

| Definition at line 1854 of file arc.h. Referenced by IoGetBootDiskInformation(), and IopAddRemoteBootValuesToRegistry().

PARC_DISK_INFORMATION _LOADER_PARAMETER_BLOCK::ArcDiskInformation

| Definition at line 1860 of file arc.h. Referenced by IoGetBootDiskInformation().

PCHAR _LOADER_PARAMETER_BLOCK::ArcHalDeviceName

| Definition at line 1855 of file arc.h. Referenced by IoGetBootDiskInformation().

LIST_ENTRY _LOADER_PARAMETER_BLOCK::BootDriverListHead

| Definition at line 1846 of file arc.h.

PCONFIGURATION_COMPONENT_DATA _LOADER_PARAMETER_BLOCK::ConfigurationRoot

| Definition at line 1853 of file arc.h.

PLOADER_PARAMETER_EXTENSION _LOADER_PARAMETER_BLOCK::Extension

| Definition at line 1863 of file arc.h.

I386_LOADER_BLOCK _LOADER_PARAMETER_BLOCK::I386

| Definition at line 1866 of file arc.h.

IA64_LOADER_BLOCK _LOADER_PARAMETER_BLOCK::Ia64

| Definition at line 1868 of file arc.h.

ULONG_PTR _LOADER_PARAMETER_BLOCK::KernelStack

| Definition at line 1847 of file arc.h. Referenced by KeStartAllProcessors().

PCHAR _LOADER_PARAMETER_BLOCK::LoadOptions

| Definition at line 1858 of file arc.h.

LIST_ENTRY _LOADER_PARAMETER_BLOCK::LoadOrderListHead

| Definition at line 1844 of file arc.h. Referenced by CmpCreateHwProfileFriendlyName(), IopInitializeBootLogging(), KeDumpMachineState(), and KiPcToFileHeader().

LIST_ENTRY _LOADER_PARAMETER_BLOCK::MemoryDescriptorListHead

| Definition at line 1845 of file arc.h. Referenced by KeStartAllProcessors().

PNLS_DATA_BLOCK _LOADER_PARAMETER_BLOCK::NlsData

| Definition at line 1859 of file arc.h.

PCHAR _LOADER_PARAMETER_BLOCK::NtBootPathName

| Definition at line 1856 of file arc.h. Referenced by IopAddRemoteBootValuesToRegistry(), and IopAssignNetworkDriveLetter().

PCHAR _LOADER_PARAMETER_BLOCK::NtHalPathName

| Definition at line 1857 of file arc.h.

PVOID _LOADER_PARAMETER_BLOCK::OemFontFile

| Definition at line 1861 of file arc.h.

ULONG_PTR _LOADER_PARAMETER_BLOCK::Prcb

| Definition at line 1848 of file arc.h. Referenced by KeStartAllProcessors(), and KiInitializeKernel().

ULONG_PTR _LOADER_PARAMETER_BLOCK::Process

| Definition at line 1849 of file arc.h.

PVOID _LOADER_PARAMETER_BLOCK::RegistryBase

| Definition at line 1852 of file arc.h.

ULONG _LOADER_PARAMETER_BLOCK::RegistryLength

| Definition at line 1851 of file arc.h.

struct _SETUP_LOADER_BLOCK* _LOADER_PARAMETER_BLOCK::SetupLoaderBlock

| Definition at line 1862 of file arc.h. Referenced by IopAddRemoteBootValuesToRegistry(), IopAssignNetworkDriveLetter(), IopStartNetworkForRemoteBoot(), and IopStartTcpIpForRemoteBoot().

ULONG_PTR _LOADER_PARAMETER_BLOCK::Thread

| Definition at line 1850 of file arc.h. Referenced by KeStartAllProcessors().

union { ... } _LOADER_PARAMETER_BLOCK::u

| Referenced by KeStartAllProcessors(), KiInitializeAbios(), and KiInitializeMachineType().

The documentation for this struct was generated from the following file:

- arc.h